Index: src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.cpp
===================================================================
--- src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.cpp	(revision 73a5f79e4f9ad7064ccf8574d08f5daf61ce8498)
+++ src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.cpp	(revision d2033507dad73aab8d8e01503293902fd63c9074)
@@ -598,23 +598,6 @@
   bool status=true;
 
-  /// if file is given, parse from file into ResultsContainer
+  /// get data and keysets from ResultsContainer
   FragmentationResultContainer& container = FragmentationResultContainer::getInstance();
-  if (!params.resultsfile.get().empty()) {
-    boost::filesystem::path resultsfile = params.resultsfile.get();
-    if (boost::filesystem::exists(resultsfile)) {
-      LOG(1, "INFO: Parsing results from " << resultsfile.string() << ".");
-      std::ifstream returnstream(resultsfile.string().c_str());
-      if (returnstream.good()) {
-        boost::archive::text_iarchive ia(returnstream);
-        ia >> container;
-      }
-    } else {
-      ELOG(1, "Given file" << resultsfile.string() << " does not exist.");
-      STATUS("AnalyseFragmentResultsAction failed: missing results file.");
-      return Action::failure;
-    }
-  }
-
-  /// get data and keysets from ResultsContainer
   const std::map<JobId_t, MPQCData> &shortrangedata = container.getShortRangeResults();
   const KeySetsContainer &keysets = container.getKeySets();
Index: src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.def
===================================================================
--- src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.def	(revision 73a5f79e4f9ad7064ccf8574d08f5daf61ce8498)
+++ src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.def	(revision d2033507dad73aab8d8e01503293902fd63c9074)
@@ -15,11 +15,10 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
-#define paramtypes (boost::filesystem::path)(bool)(std::string)(bool)
-#define paramtokens ("fragment-resultfile")("store-grids")("fragment-prefix")("UseImplicitCharges")
-#define paramdescriptions ("parse fragment results from the given file")("whether to store sampled grids in homology files")("prefix of each fragment file")("whether to model any non-selected atoms by partial charges implicitly")
-#define paramdefaults (NOPARAM_DEFAULT)(PARAM_DEFAULT("0"))(PARAM_DEFAULT("BondFragment"))(PARAM_DEFAULT("0"))
-#define paramreferences (resultsfile)(DoStoreGrids)(prefix)(UseImplicitCharges)
+#define paramtypes (bool)(std::string)(bool)
+#define paramtokens ("store-grids")("fragment-prefix")("UseImplicitCharges")
+#define paramdescriptions ("whether to store sampled grids in homology files")("prefix of each fragment file")("whether to model any non-selected atoms by partial charges implicitly")
+#define paramdefaults (PARAM_DEFAULT("0"))(PARAM_DEFAULT("BondFragment"))(PARAM_DEFAULT("0"))
+#define paramreferences (DoStoreGrids)(prefix)(UseImplicitCharges)
 #define paramvalids \
-(DummyValidator< boost::filesystem::path >()) \
 (DummyValidator< bool >()) \
 (DummyValidator< std::string >()) \
Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 73a5f79e4f9ad7064ccf8574d08f5daf61ce8498)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision d2033507dad73aab8d8e01503293902fd63c9074)
@@ -421,16 +421,4 @@
   FragmentJobQueue::getInstance().clear();
 
-  // if file is given, advise results container to store to file
-  if (!params.resultsfile.get().empty()) {
-    boost::filesystem::path resultsfile = params.resultsfile.get();
-    std::ofstream returnstream(resultsfile.string().c_str());
-    if (returnstream.good()) {
-      boost::archive::text_oarchive oa(returnstream);
-      oa << container;
-    }
-    Exitflag += (int)(!returnstream.good());
-    returnstream.close();
-  }
-
   if (Exitflag != 0)
     STATUS("Controller has returned failure.");
Index: src/Actions/FragmentationAction/FragmentationAutomationAction.def
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.def	(revision 73a5f79e4f9ad7064ccf8574d08f5daf61ce8498)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.def	(revision d2033507dad73aab8d8e01503293902fd63c9074)
@@ -18,9 +18,9 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
-#define paramtypes (std::string)(std::string)(boost::filesystem::path)(unsigned int)(unsigned int)(unsigned int)(bool)(boost::filesystem::path)(bool)(bool)(bool)(bool)
-#define paramtokens ("server-address")("server-port")("fragment-executable")("grid-level")("near-field-cells")("interpolation-degree")("DoLongrange")("fragment-resultfile")("DoValenceOnly")("DoPrintDebug")("DoSmearElectronicCharges")("UseImplicitCharges")
-#define paramdescriptions ("hostname of server")("controller port of server")("executable to launch on clients")("resolution of multigrid")("number of cells used in smearing out core charge")("interpolation degree for getting the nuclei potential from the grid")("whether to calculate long-range contributions")("additionally write fragment results to the given file")("whether the sampling uses only the valence electron and nuclei charge")("whether to print grids for debug visualization")("whether to smear out electronic charge distributions with bsplines or not")("whether to model any non-selected atoms by partial charges implicitly") 
-#define paramdefaults (PARAM_DEFAULT("127.0.0.1"))(NOPARAM_DEFAULT)(PARAM_DEFAULT("mpqc"))(PARAM_DEFAULT(5))(PARAM_DEFAULT(3))(PARAM_DEFAULT(3))(PARAM_DEFAULT("0"))(PARAM_DEFAULT(""))(PARAM_DEFAULT("0"))(PARAM_DEFAULT("0"))(PARAM_DEFAULT("0"))(PARAM_DEFAULT("0"))
-#define paramreferences (host)(port)(executable)(level)(near_field_cells)(interpolation_degree)(DoLongrange)(resultsfile)(DoValenceOnly)(DoPrintDebug)(DoSmearCharges)(UseImplicitCharges)
+#define paramtypes (std::string)(std::string)(boost::filesystem::path)(unsigned int)(unsigned int)(unsigned int)(bool)(bool)(bool)(bool)(bool)
+#define paramtokens ("server-address")("server-port")("fragment-executable")("grid-level")("near-field-cells")("interpolation-degree")("DoLongrange")("DoValenceOnly")("DoPrintDebug")("DoSmearElectronicCharges")("UseImplicitCharges")
+#define paramdescriptions ("hostname of server")("controller port of server")("executable to launch on clients")("resolution of multigrid")("number of cells used in smearing out core charge")("interpolation degree for getting the nuclei potential from the grid")("whether to calculate long-range contributions")("whether the sampling uses only the valence electron and nuclei charge")("whether to print grids for debug visualization")("whether to smear out electronic charge distributions with bsplines or not")("whether to model any non-selected atoms by partial charges implicitly") 
+#define paramdefaults (PARAM_DEFAULT("127.0.0.1"))(NOPARAM_DEFAULT)(PARAM_DEFAULT("mpqc"))(PARAM_DEFAULT(5))(PARAM_DEFAULT(3))(PARAM_DEFAULT(3))(PARAM_DEFAULT("0"))(PARAM_DEFAULT("0"))(PARAM_DEFAULT("0"))(PARAM_DEFAULT("0"))(PARAM_DEFAULT("0"))
+#define paramreferences (host)(port)(executable)(level)(near_field_cells)(interpolation_degree)(DoLongrange)(DoValenceOnly)(DoPrintDebug)(DoSmearCharges)(UseImplicitCharges)
 #define paramvalids \
 (DummyValidator< std::string >()) \
@@ -31,5 +31,4 @@
 (RangeValidator< unsigned int >(1, 10)) \
 (DummyValidator< bool >()) \
-(DummyValidator< boost::filesystem::path >()) \
 (DummyValidator< bool >()) \
 (DummyValidator< bool >()) \
